<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$formname = 'Outward Raw Material';
$maindb = 'outmainraw';
$trandb = 'outtranraw';
$formname = "Outward Print";
$file = "outward_print.php";

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);

$rawmat = $_POST['rawmat'];

$rawmatcond = "";

if (!empty($rawmat)) {
    $rawmatcond = " AND `rawmat` LIKE '$rawmat' ";
}

$gettran = mysqli_query($conn, "SELECT * FROM `$trandb` WHERE vouchno!= '' $rawmatcond")or die(mysqli_error($conn));

if (isset($_POST["view"])) {
include("includes/linkshead.php");
    ?>
    <script src="MyScript/item.js" type="text/javascript"></script>
    </head>
    <body>
        <div class="container">
            <?php include("includes/head_rep.php");
            ?>
            <div class="row">
                <div class="col-lg-12 pad">
                    <table class="table table-condensed table-bordered">
                        <tr class="mySearchTr">
                            <th>Sr</th>
                            <th>Raw Material</th>
                            <th>Colour</th>
                            <th>Lot</th>
                            <th class="numeric">Qty</th>
                            <th class="numeric">Rate</th>
                            <th class="numeric">Amount</th>
                        </tr>
                        <?php
                        $ctr = 1;

                        while ($tran = mysqli_fetch_array($gettran)) {
                            
                            $getitem1 = mysqli_query($conn, "SELECT * FROM `rawmat` WHERE `code`='$tran[item]' ")or die(mysqli_error($conn));
                            $fitem = mysqli_fetch_array($getitem1);

                            $findcolor = mysqli_query($conn, "SELECT `code`,`name` FROM `color` WHERE `code`='$tran[color]'") or die(mysqli_error($conn));
                            $fcolor = mysqli_fetch_array($findcolor);

                            Echo "<tr>";
                            Echo "<td>$ctr</td>";
                            Echo "<td>$fitem[name]</td>";
                            Echo "<td>$fcolor[name]</td>";
                            Echo "<td>$tran[lot]</td>";
                            Echo "<td class='numeric'>$tran[qty]</td>";
                            Echo "<td class='numeric'>$tran[rate]</td>";
                            Echo "<td class='numeric'>$tran[amount]</td>";
                            Echo "</tr>";
                            $ctr++;
                        }
                        ?>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php"); ?>
    </body>
    </html>
    <?
}
if (isset($_POST["excel"])) {
   
    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>
